{{/*
Common labels
*/}}
{{- define "sns.labels" -}}
{{ include "sns-utils.labels" . }}
{{- end -}}

{{/*
Selector labels
*/}}
{{- define "sns.selectorLabels" -}}
{{ include "sns-utils.selectorLabels" . }}
{{- end -}}

{{- define "sns.outputTopicName" -}}
{{- if .Values.existingInfraOverrides.enable -}}
topicName: {{ .Values.existingInfraOverrides.topicName }}
{{- else -}}
topicName: {{ include "sns-utils.externalNamingPrefix" . | quote }}
{{- end -}}
{{- end -}}

{{/*
    SNS Access Policy
*/}}
{{- define "sns.accessPolicy" -}}
{{- if .Values.accessPolicy.enable -}}
{{ if contains "gov" .Values.global.awsRegion -}}
{{- printf "\n\nThe accessPolicyStatements is not supported in gov environments." | fail -}}
{{- else -}}
{{ tpl .Values.accessPolicy.statements $ | indent 10 -}}
{{- end -}}
{{- end -}}
{{- end -}}